import java.util.ArrayList;
import java.util.List;
import jp.hozo.core.Concept;
import jp.hozo.core.RoleHolder;
import jp.hozo.core.Slot;

public class SlotTreeNode extends ConceptTreeNode {
	
	private Slot slot;

	public SlotTreeNode() {
		super();
	}
	
	public SlotTreeNode( Concept concept, List<String> valueList ) {
		super(concept, valueList);
	}
	
	public SlotTreeNode( Slot slot, List<String> valueList ) {
		super(slot.getRoleConcept(), valueList);
		setSlot(slot);
	}
	
	public Slot getSlot() {
		return slot;
	}

	public void setSlot(Slot slot) {
		this.slot = slot;
	}
}
