import java.awt.Component;

import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;


public class TableConceptTreeCellRenderer extends DefaultTreeCellRenderer {
	
    /**
    *
    * c[̃_O\bh̃I[oCh
    *
    * @param tree
    * @param value
    * @param selected
    * @param expanded
    * @param leaf
    * @param row
    * @param hasFocus
    */
   @Override
	public Component getTreeCellRendererComponent(JTree tree, Object value,
										           boolean selected, boolean expanded,
										           boolean leaf, int row,
										           boolean hasFocus) {

       // _R|[lgithisj̏
       super.getTreeCellRendererComponent(tree, value, selected, expanded, leaf, row, hasFocus);
       
       // }[Wꂽm[hł΃xǉ
       if (value instanceof ConceptTreeNode) {
    	   ConceptTreeNode treeNode = (ConceptTreeNode) value;
    	   String label = treeNode.getConcept().getLabel();
    	   if (treeNode.isMerged() && treeNode.getConcept() != null) {
    		   String mergedLabel = label + ConceptTreeTableModel.MERAGED_LABEL;
    		   this.setText(mergedLabel);
    	   } else {
    		   this.setText(label);
    	   }
       }
    	   
       return this;
   }
}
